function Z9g(){Ffd.call(this)}
function Q9g(a,b,d,e){lGd.call(this,a,b,d);this.a=e}
function ngh(a){var b;if(!a.k){b=new X9g((b1i(Xde(a.a)),Znj(Zde(a.a))));a.k=b}return a.k}
function mgh(a){var b;if(!a.j){b=new Q9g(vFd(sce(a.a)),ngh(a),lgh(a),RLg(lde(a.a)));HFd((tce(a.a),b),EGd(tce(a.a)));a.j=b}return a.j}
function X9g(){rzf.call(this,c3b);this.a=new oAf(c3b,this);this.o="Provides translation services for physical sources, which can be integrated using a Teiid's VDB"}
w3c(4507,1010,qyj,Q9g);_.Ti=function(){};_.Yi=function(){this.A.Cr()};_.aj=function(){Xuf(this.a,this)};w3c(4510,2862,tzj,X9g);_.Bh=function(){return jzf(this)};_.zr=function(){return this.a};_.Ar=function(){return i6j};_.Er=function(){var a;a=new G$f(this.n);r1d(a,DGj,m1d(rM(x2c,jxj,263,[V0i(y0i(this.r,JAj),rM(W1c,jxj,235,[])),V0i(y0i(this.r,DYj),rM(W1c,jxj,235,[]))])));return a};_.Ir=function(){var a,b;b=new frg(5);s7c(b,new W2g,$Hj);a=new Z9g;G7c(b,b.u.b,a,new Hfd(hZj));return b};w3c(4511,675,$xj,Z9g);_.qd=function(a){return a.jL()};w3c(4578,1,Yyj);_.td=function(){dHd(this.b,mgh(this.a.a))};var U1b=bOd(4507),W1b=bOd(4510),V1b=bOd(4511);Mzj(np)(18);